-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "02/13/2011 19:00:32"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	mire_vga IS
    PORT (
	vga_blank : OUT std_logic;
	vga_sync : OUT std_logic;
	vga_clk : OUT std_logic;
	clock_50 : IN std_logic;
	vga_hs : OUT std_logic;
	sw : IN std_logic_vector(2 DOWNTO 0);
	vga_vs : OUT std_logic;
	vga_b : OUT std_logic_vector(9 DOWNTO 9);
	vga_g : OUT std_logic_vector(9 DOWNTO 9);
	vga_r : OUT std_logic_vector(9 DOWNTO 9)
	);
END mire_vga;

-- Design Ports Information
-- vga_blank	=>  Location: PIN_D6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_sync	=>  Location: PIN_B7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_clk	=>  Location: PIN_B8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_hs	=>  Location: PIN_A7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_vs	=>  Location: PIN_D8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_b[9]	=>  Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_g[9]	=>  Location: PIN_D12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_r[9]	=>  Location: PIN_E10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- clock_50	=>  Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- sw[2]	=>  Location: PIN_P25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- sw[1]	=>  Location: PIN_N26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- sw[0]	=>  Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF mire_vga IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_vga_blank : std_logic;
SIGNAL ww_vga_sync : std_logic;
SIGNAL ww_vga_clk : std_logic;
SIGNAL ww_clock_50 : std_logic;
SIGNAL ww_vga_hs : std_logic;
SIGNAL ww_sw : std_logic_vector(2 DOWNTO 0);
SIGNAL ww_vga_vs : std_logic;
SIGNAL ww_vga_b : std_logic_vector(9 DOWNTO 9);
SIGNAL ww_vga_g : std_logic_vector(9 DOWNTO 9);
SIGNAL ww_vga_r : std_logic_vector(9 DOWNTO 9);
SIGNAL \clock_50~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst|vert_sync~1_combout\ : std_logic;
SIGNAL \clock_50~combout\ : std_logic;
SIGNAL \clock_50~clkctrl_outclk\ : std_logic;
SIGNAL \inst|h_cmpt[0]~11_combout\ : std_logic;
SIGNAL \inst|h_cmpt[5]~22\ : std_logic;
SIGNAL \inst|h_cmpt[6]~24\ : std_logic;
SIGNAL \inst|h_cmpt[7]~25_combout\ : std_logic;
SIGNAL \inst|h_cmpt[7]~26\ : std_logic;
SIGNAL \inst|h_cmpt[8]~28\ : std_logic;
SIGNAL \inst|h_cmpt[9]~29_combout\ : std_logic;
SIGNAL \inst|h_cmpt[9]~30\ : std_logic;
SIGNAL \inst|h_cmpt[10]~31_combout\ : std_logic;
SIGNAL \inst|h_cmpt[6]~23_combout\ : std_logic;
SIGNAL \inst|LessThan0~0_combout\ : std_logic;
SIGNAL \inst|LessThan0~1_combout\ : std_logic;
SIGNAL \inst|h_cmpt[0]~12\ : std_logic;
SIGNAL \inst|h_cmpt[1]~14\ : std_logic;
SIGNAL \inst|h_cmpt[2]~15_combout\ : std_logic;
SIGNAL \inst|h_cmpt[2]~16\ : std_logic;
SIGNAL \inst|h_cmpt[3]~18\ : std_logic;
SIGNAL \inst|h_cmpt[4]~20\ : std_logic;
SIGNAL \inst|h_cmpt[5]~21_combout\ : std_logic;
SIGNAL \inst|h_cmpt[4]~19_combout\ : std_logic;
SIGNAL \inst|hor_sync~0_combout\ : std_logic;
SIGNAL \inst|hor_sync~1_combout\ : std_logic;
SIGNAL \inst|h_cmpt[3]~17_combout\ : std_logic;
SIGNAL \inst|h_cmpt[1]~13_combout\ : std_logic;
SIGNAL \inst|hor_sync~2_combout\ : std_logic;
SIGNAL \inst|hor_sync~3_combout\ : std_logic;
SIGNAL \inst|h_cmpt[8]~27_combout\ : std_logic;
SIGNAL \inst|LessThan5~0_combout\ : std_logic;
SIGNAL \inst|video_on_h~0_combout\ : std_logic;
SIGNAL \inst|video_on_h~1_combout\ : std_logic;
SIGNAL \inst|hor_sync~4_combout\ : std_logic;
SIGNAL \inst|hor_sync~regout\ : std_logic;
SIGNAL \inst|Add1~0_combout\ : std_logic;
SIGNAL \inst|Add1~3\ : std_logic;
SIGNAL \inst|Add1~4_combout\ : std_logic;
SIGNAL \inst|v_cmpt~4_combout\ : std_logic;
SIGNAL \inst|Add1~5\ : std_logic;
SIGNAL \inst|Add1~7\ : std_logic;
SIGNAL \inst|Add1~8_combout\ : std_logic;
SIGNAL \inst|v_cmpt~7_combout\ : std_logic;
SIGNAL \inst|Add1~9\ : std_logic;
SIGNAL \inst|Add1~10_combout\ : std_logic;
SIGNAL \inst|v_cmpt~5_combout\ : std_logic;
SIGNAL \inst|Add1~11\ : std_logic;
SIGNAL \inst|Add1~12_combout\ : std_logic;
SIGNAL \inst|v_cmpt~10_combout\ : std_logic;
SIGNAL \inst|Add1~13\ : std_logic;
SIGNAL \inst|Add1~14_combout\ : std_logic;
SIGNAL \inst|v_cmpt~6_combout\ : std_logic;
SIGNAL \inst|Add1~15\ : std_logic;
SIGNAL \inst|Add1~17\ : std_logic;
SIGNAL \inst|Add1~18_combout\ : std_logic;
SIGNAL \inst|v_cmpt[9]~2_combout\ : std_logic;
SIGNAL \inst|v_cmpt[9]~3_combout\ : std_logic;
SIGNAL \inst|Add1~19\ : std_logic;
SIGNAL \inst|Add1~20_combout\ : std_logic;
SIGNAL \inst|v_cmpt[10]~1_combout\ : std_logic;
SIGNAL \inst|Add1~16_combout\ : std_logic;
SIGNAL \inst|v_cmpt~0_combout\ : std_logic;
SIGNAL \inst|Add1~6_combout\ : std_logic;
SIGNAL \inst|v_cmpt~8_combout\ : std_logic;
SIGNAL \inst|LessThan6~0_combout\ : std_logic;
SIGNAL \inst|LessThan6~1_combout\ : std_logic;
SIGNAL \inst|LessThan6~2_combout\ : std_logic;
SIGNAL \inst|v_cmpt~11_combout\ : std_logic;
SIGNAL \inst|Add1~1\ : std_logic;
SIGNAL \inst|Add1~2_combout\ : std_logic;
SIGNAL \inst|v_cmpt~9_combout\ : std_logic;
SIGNAL \inst|vert_sync~2_combout\ : std_logic;
SIGNAL \inst|vert_sync~0_combout\ : std_logic;
SIGNAL \inst|vert_sync~3_combout\ : std_logic;
SIGNAL \inst|vert_sync~regout\ : std_logic;
SIGNAL \inst|video_on_v~0_combout\ : std_logic;
SIGNAL \inst|video_on_v~1_combout\ : std_logic;
SIGNAL \inst|video_on_v~2_combout\ : std_logic;
SIGNAL \inst|video_on_v~3_combout\ : std_logic;
SIGNAL \inst|video_on_v~regout\ : std_logic;
SIGNAL \inst|video_on_h~2_combout\ : std_logic;
SIGNAL \inst|video_on_h~regout\ : std_logic;
SIGNAL \inst|b_out~0_combout\ : std_logic;
SIGNAL \inst|b_out~regout\ : std_logic;
SIGNAL \inst|v_out~0_combout\ : std_logic;
SIGNAL \inst|v_out~regout\ : std_logic;
SIGNAL \inst|r_out~0_combout\ : std_logic;
SIGNAL \inst|r_out~regout\ : std_logic;
SIGNAL \sw~combout\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \inst|h_cmpt\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \inst|v_cmpt\ : std_logic_vector(10 DOWNTO 0);

BEGIN

vga_blank <= ww_vga_blank;
vga_sync <= ww_vga_sync;
vga_clk <= ww_vga_clk;
ww_clock_50 <= clock_50;
vga_hs <= ww_vga_hs;
ww_sw <= sw;
vga_vs <= ww_vga_vs;
vga_b <= ww_vga_b;
vga_g <= ww_vga_g;
vga_r <= ww_vga_r;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clock_50~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clock_50~combout\);

-- Location: LCCOMB_X59_Y32_N2
\inst|vert_sync~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~1_combout\ = (\inst|v_cmpt\(2) & (\inst|v_cmpt\(4) & (!\inst|v_cmpt\(7) & \inst|v_cmpt\(5)))) # (!\inst|v_cmpt\(2) & (!\inst|v_cmpt\(4) & (\inst|v_cmpt\(7) & !\inst|v_cmpt\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(2),
	datab => \inst|v_cmpt\(4),
	datac => \inst|v_cmpt\(7),
	datad => \inst|v_cmpt\(5),
	combout => \inst|vert_sync~1_combout\);

-- Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\sw[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_sw(0),
	combout => \sw~combout\(0));

-- Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clock_50~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clock_50,
	combout => \clock_50~combout\);

-- Location: CLKCTRL_G2
\clock_50~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clock_50~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clock_50~clkctrl_outclk\);

-- Location: LCCOMB_X57_Y32_N4
\inst|h_cmpt[0]~11\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[0]~11_combout\ = \inst|h_cmpt\(0) $ (VCC)
-- \inst|h_cmpt[0]~12\ = CARRY(\inst|h_cmpt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(0),
	datad => VCC,
	combout => \inst|h_cmpt[0]~11_combout\,
	cout => \inst|h_cmpt[0]~12\);

-- Location: LCCOMB_X57_Y32_N14
\inst|h_cmpt[5]~21\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[5]~21_combout\ = (\inst|h_cmpt\(5) & (!\inst|h_cmpt[4]~20\)) # (!\inst|h_cmpt\(5) & ((\inst|h_cmpt[4]~20\) # (GND)))
-- \inst|h_cmpt[5]~22\ = CARRY((!\inst|h_cmpt[4]~20\) # (!\inst|h_cmpt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(5),
	datad => VCC,
	cin => \inst|h_cmpt[4]~20\,
	combout => \inst|h_cmpt[5]~21_combout\,
	cout => \inst|h_cmpt[5]~22\);

-- Location: LCCOMB_X57_Y32_N16
\inst|h_cmpt[6]~23\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[6]~23_combout\ = (\inst|h_cmpt\(6) & (\inst|h_cmpt[5]~22\ $ (GND))) # (!\inst|h_cmpt\(6) & (!\inst|h_cmpt[5]~22\ & VCC))
-- \inst|h_cmpt[6]~24\ = CARRY((\inst|h_cmpt\(6) & !\inst|h_cmpt[5]~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(6),
	datad => VCC,
	cin => \inst|h_cmpt[5]~22\,
	combout => \inst|h_cmpt[6]~23_combout\,
	cout => \inst|h_cmpt[6]~24\);

-- Location: LCCOMB_X57_Y32_N18
\inst|h_cmpt[7]~25\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[7]~25_combout\ = (\inst|h_cmpt\(7) & (!\inst|h_cmpt[6]~24\)) # (!\inst|h_cmpt\(7) & ((\inst|h_cmpt[6]~24\) # (GND)))
-- \inst|h_cmpt[7]~26\ = CARRY((!\inst|h_cmpt[6]~24\) # (!\inst|h_cmpt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(7),
	datad => VCC,
	cin => \inst|h_cmpt[6]~24\,
	combout => \inst|h_cmpt[7]~25_combout\,
	cout => \inst|h_cmpt[7]~26\);

-- Location: LCFF_X57_Y32_N19
\inst|h_cmpt[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[7]~25_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(7));

-- Location: LCCOMB_X57_Y32_N20
\inst|h_cmpt[8]~27\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[8]~27_combout\ = (\inst|h_cmpt\(8) & (\inst|h_cmpt[7]~26\ $ (GND))) # (!\inst|h_cmpt\(8) & (!\inst|h_cmpt[7]~26\ & VCC))
-- \inst|h_cmpt[8]~28\ = CARRY((\inst|h_cmpt\(8) & !\inst|h_cmpt[7]~26\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(8),
	datad => VCC,
	cin => \inst|h_cmpt[7]~26\,
	combout => \inst|h_cmpt[8]~27_combout\,
	cout => \inst|h_cmpt[8]~28\);

-- Location: LCCOMB_X57_Y32_N22
\inst|h_cmpt[9]~29\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[9]~29_combout\ = (\inst|h_cmpt\(9) & (!\inst|h_cmpt[8]~28\)) # (!\inst|h_cmpt\(9) & ((\inst|h_cmpt[8]~28\) # (GND)))
-- \inst|h_cmpt[9]~30\ = CARRY((!\inst|h_cmpt[8]~28\) # (!\inst|h_cmpt\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(9),
	datad => VCC,
	cin => \inst|h_cmpt[8]~28\,
	combout => \inst|h_cmpt[9]~29_combout\,
	cout => \inst|h_cmpt[9]~30\);

-- Location: LCFF_X57_Y32_N23
\inst|h_cmpt[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[9]~29_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(9));

-- Location: LCCOMB_X57_Y32_N24
\inst|h_cmpt[10]~31\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[10]~31_combout\ = \inst|h_cmpt\(10) $ (!\inst|h_cmpt[9]~30\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010110100101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(10),
	cin => \inst|h_cmpt[9]~30\,
	combout => \inst|h_cmpt[10]~31_combout\);

-- Location: LCFF_X57_Y32_N25
\inst|h_cmpt[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[10]~31_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(10));

-- Location: LCFF_X57_Y32_N17
\inst|h_cmpt[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[6]~23_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(6));

-- Location: LCCOMB_X58_Y32_N14
\inst|LessThan0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~0_combout\ = (!\inst|h_cmpt\(8) & (!\inst|h_cmpt\(6) & (!\inst|h_cmpt\(9) & !\inst|h_cmpt\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(8),
	datab => \inst|h_cmpt\(6),
	datac => \inst|h_cmpt\(9),
	datad => \inst|h_cmpt\(7),
	combout => \inst|LessThan0~0_combout\);

-- Location: LCCOMB_X58_Y32_N8
\inst|LessThan0~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~1_combout\ = (\inst|h_cmpt\(10) & (((!\inst|hor_sync~0_combout\) # (!\inst|LessThan0~0_combout\)) # (!\inst|LessThan5~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan5~0_combout\,
	datab => \inst|h_cmpt\(10),
	datac => \inst|LessThan0~0_combout\,
	datad => \inst|hor_sync~0_combout\,
	combout => \inst|LessThan0~1_combout\);

-- Location: LCFF_X57_Y32_N5
\inst|h_cmpt[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[0]~11_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(0));

-- Location: LCCOMB_X57_Y32_N6
\inst|h_cmpt[1]~13\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[1]~13_combout\ = (\inst|h_cmpt\(1) & (!\inst|h_cmpt[0]~12\)) # (!\inst|h_cmpt\(1) & ((\inst|h_cmpt[0]~12\) # (GND)))
-- \inst|h_cmpt[1]~14\ = CARRY((!\inst|h_cmpt[0]~12\) # (!\inst|h_cmpt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(1),
	datad => VCC,
	cin => \inst|h_cmpt[0]~12\,
	combout => \inst|h_cmpt[1]~13_combout\,
	cout => \inst|h_cmpt[1]~14\);

-- Location: LCCOMB_X57_Y32_N8
\inst|h_cmpt[2]~15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[2]~15_combout\ = (\inst|h_cmpt\(2) & (\inst|h_cmpt[1]~14\ $ (GND))) # (!\inst|h_cmpt\(2) & (!\inst|h_cmpt[1]~14\ & VCC))
-- \inst|h_cmpt[2]~16\ = CARRY((\inst|h_cmpt\(2) & !\inst|h_cmpt[1]~14\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(2),
	datad => VCC,
	cin => \inst|h_cmpt[1]~14\,
	combout => \inst|h_cmpt[2]~15_combout\,
	cout => \inst|h_cmpt[2]~16\);

-- Location: LCFF_X57_Y32_N9
\inst|h_cmpt[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[2]~15_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(2));

-- Location: LCCOMB_X57_Y32_N10
\inst|h_cmpt[3]~17\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[3]~17_combout\ = (\inst|h_cmpt\(3) & (!\inst|h_cmpt[2]~16\)) # (!\inst|h_cmpt\(3) & ((\inst|h_cmpt[2]~16\) # (GND)))
-- \inst|h_cmpt[3]~18\ = CARRY((!\inst|h_cmpt[2]~16\) # (!\inst|h_cmpt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(3),
	datad => VCC,
	cin => \inst|h_cmpt[2]~16\,
	combout => \inst|h_cmpt[3]~17_combout\,
	cout => \inst|h_cmpt[3]~18\);

-- Location: LCCOMB_X57_Y32_N12
\inst|h_cmpt[4]~19\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|h_cmpt[4]~19_combout\ = (\inst|h_cmpt\(4) & (\inst|h_cmpt[3]~18\ $ (GND))) # (!\inst|h_cmpt\(4) & (!\inst|h_cmpt[3]~18\ & VCC))
-- \inst|h_cmpt[4]~20\ = CARRY((\inst|h_cmpt\(4) & !\inst|h_cmpt[3]~18\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(4),
	datad => VCC,
	cin => \inst|h_cmpt[3]~18\,
	combout => \inst|h_cmpt[4]~19_combout\,
	cout => \inst|h_cmpt[4]~20\);

-- Location: LCFF_X57_Y32_N15
\inst|h_cmpt[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[5]~21_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(5));

-- Location: LCFF_X57_Y32_N13
\inst|h_cmpt[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[4]~19_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(4));

-- Location: LCCOMB_X57_Y32_N26
\inst|hor_sync~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~0_combout\ = (!\inst|h_cmpt\(5) & !\inst|h_cmpt\(4))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|h_cmpt\(5),
	datad => \inst|h_cmpt\(4),
	combout => \inst|hor_sync~0_combout\);

-- Location: LCCOMB_X57_Y32_N2
\inst|hor_sync~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~1_combout\ = (\inst|hor_sync~0_combout\ & (((!\inst|LessThan5~0_combout\ & \inst|h_cmpt\(6))) # (!\inst|h_cmpt\(7)))) # (!\inst|hor_sync~0_combout\ & ((\inst|h_cmpt\(6) $ (!\inst|h_cmpt\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan5~0_combout\,
	datab => \inst|hor_sync~0_combout\,
	datac => \inst|h_cmpt\(6),
	datad => \inst|h_cmpt\(7),
	combout => \inst|hor_sync~1_combout\);

-- Location: LCFF_X57_Y32_N11
\inst|h_cmpt[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[3]~17_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(3));

-- Location: LCFF_X57_Y32_N7
\inst|h_cmpt[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[1]~13_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(1));

-- Location: LCCOMB_X56_Y32_N16
\inst|hor_sync~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~2_combout\ = (!\inst|h_cmpt\(3) & (((!\inst|h_cmpt\(1)) # (!\inst|h_cmpt\(2))) # (!\inst|h_cmpt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(0),
	datab => \inst|h_cmpt\(2),
	datac => \inst|h_cmpt\(3),
	datad => \inst|h_cmpt\(1),
	combout => \inst|hor_sync~2_combout\);

-- Location: LCCOMB_X57_Y32_N28
\inst|hor_sync~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~3_combout\ = (\inst|h_cmpt\(10)) # ((!\inst|h_cmpt\(7) & (!\inst|h_cmpt\(5) & \inst|hor_sync~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101110101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(10),
	datab => \inst|h_cmpt\(7),
	datac => \inst|h_cmpt\(5),
	datad => \inst|hor_sync~2_combout\,
	combout => \inst|hor_sync~3_combout\);

-- Location: LCFF_X57_Y32_N21
\inst|h_cmpt[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|h_cmpt[8]~27_combout\,
	sclr => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(8));

-- Location: LCCOMB_X58_Y32_N24
\inst|LessThan5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan5~0_combout\ = (((!\inst|h_cmpt\(3)) # (!\inst|h_cmpt\(1))) # (!\inst|h_cmpt\(0))) # (!\inst|h_cmpt\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(2),
	datab => \inst|h_cmpt\(0),
	datac => \inst|h_cmpt\(1),
	datad => \inst|h_cmpt\(3),
	combout => \inst|LessThan5~0_combout\);

-- Location: LCCOMB_X58_Y32_N18
\inst|video_on_h~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_h~0_combout\ = (\inst|h_cmpt\(5)) # ((\inst|h_cmpt\(6)) # ((!\inst|LessThan5~0_combout\ & \inst|h_cmpt\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(5),
	datab => \inst|h_cmpt\(6),
	datac => \inst|LessThan5~0_combout\,
	datad => \inst|h_cmpt\(4),
	combout => \inst|video_on_h~0_combout\);

-- Location: LCCOMB_X58_Y32_N20
\inst|video_on_h~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_h~1_combout\ = (\inst|h_cmpt\(9) & (\inst|h_cmpt\(8) & ((\inst|h_cmpt\(7)) # (\inst|video_on_h~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(9),
	datab => \inst|h_cmpt\(7),
	datac => \inst|h_cmpt\(8),
	datad => \inst|video_on_h~0_combout\,
	combout => \inst|video_on_h~1_combout\);

-- Location: LCCOMB_X57_Y32_N0
\inst|hor_sync~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~4_combout\ = (\inst|hor_sync~1_combout\) # ((\inst|hor_sync~3_combout\) # (!\inst|video_on_h~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|hor_sync~1_combout\,
	datac => \inst|hor_sync~3_combout\,
	datad => \inst|video_on_h~1_combout\,
	combout => \inst|hor_sync~4_combout\);

-- Location: LCFF_X57_Y32_N1
\inst|hor_sync\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|hor_sync~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|hor_sync~regout\);

-- Location: LCCOMB_X59_Y32_N8
\inst|Add1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~0_combout\ = \inst|v_cmpt\(0) $ (VCC)
-- \inst|Add1~1\ = CARRY(\inst|v_cmpt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(0),
	datad => VCC,
	combout => \inst|Add1~0_combout\,
	cout => \inst|Add1~1\);

-- Location: LCCOMB_X59_Y32_N10
\inst|Add1~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~2_combout\ = (\inst|v_cmpt\(1) & (!\inst|Add1~1\)) # (!\inst|v_cmpt\(1) & ((\inst|Add1~1\) # (GND)))
-- \inst|Add1~3\ = CARRY((!\inst|Add1~1\) # (!\inst|v_cmpt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(1),
	datad => VCC,
	cin => \inst|Add1~1\,
	combout => \inst|Add1~2_combout\,
	cout => \inst|Add1~3\);

-- Location: LCCOMB_X59_Y32_N12
\inst|Add1~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~4_combout\ = (\inst|v_cmpt\(2) & (\inst|Add1~3\ $ (GND))) # (!\inst|v_cmpt\(2) & (!\inst|Add1~3\ & VCC))
-- \inst|Add1~5\ = CARRY((\inst|v_cmpt\(2) & !\inst|Add1~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(2),
	datad => VCC,
	cin => \inst|Add1~3\,
	combout => \inst|Add1~4_combout\,
	cout => \inst|Add1~5\);

-- Location: LCCOMB_X58_Y32_N16
\inst|v_cmpt~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~4_combout\ = (\inst|Add1~4_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|Add1~4_combout\,
	datad => \inst|LessThan6~2_combout\,
	combout => \inst|v_cmpt~4_combout\);

-- Location: LCFF_X58_Y32_N17
\inst|v_cmpt[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~4_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(2));

-- Location: LCCOMB_X59_Y32_N14
\inst|Add1~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~6_combout\ = (\inst|v_cmpt\(3) & (!\inst|Add1~5\)) # (!\inst|v_cmpt\(3) & ((\inst|Add1~5\) # (GND)))
-- \inst|Add1~7\ = CARRY((!\inst|Add1~5\) # (!\inst|v_cmpt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(3),
	datad => VCC,
	cin => \inst|Add1~5\,
	combout => \inst|Add1~6_combout\,
	cout => \inst|Add1~7\);

-- Location: LCCOMB_X59_Y32_N16
\inst|Add1~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~8_combout\ = (\inst|v_cmpt\(4) & (\inst|Add1~7\ $ (GND))) # (!\inst|v_cmpt\(4) & (!\inst|Add1~7\ & VCC))
-- \inst|Add1~9\ = CARRY((\inst|v_cmpt\(4) & !\inst|Add1~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(4),
	datad => VCC,
	cin => \inst|Add1~7\,
	combout => \inst|Add1~8_combout\,
	cout => \inst|Add1~9\);

-- Location: LCCOMB_X60_Y32_N10
\inst|v_cmpt~7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~7_combout\ = (\inst|Add1~8_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datab => \inst|v_cmpt\(10),
	datac => \inst|LessThan6~2_combout\,
	datad => \inst|Add1~8_combout\,
	combout => \inst|v_cmpt~7_combout\);

-- Location: LCFF_X60_Y32_N11
\inst|v_cmpt[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~7_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(4));

-- Location: LCCOMB_X59_Y32_N18
\inst|Add1~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~10_combout\ = (\inst|v_cmpt\(5) & (!\inst|Add1~9\)) # (!\inst|v_cmpt\(5) & ((\inst|Add1~9\) # (GND)))
-- \inst|Add1~11\ = CARRY((!\inst|Add1~9\) # (!\inst|v_cmpt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(5),
	datad => VCC,
	cin => \inst|Add1~9\,
	combout => \inst|Add1~10_combout\,
	cout => \inst|Add1~11\);

-- Location: LCCOMB_X60_Y32_N30
\inst|v_cmpt~5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~5_combout\ = (\inst|Add1~10_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datab => \inst|v_cmpt\(10),
	datac => \inst|LessThan6~2_combout\,
	datad => \inst|Add1~10_combout\,
	combout => \inst|v_cmpt~5_combout\);

-- Location: LCFF_X60_Y32_N31
\inst|v_cmpt[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~5_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(5));

-- Location: LCCOMB_X59_Y32_N20
\inst|Add1~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~12_combout\ = (\inst|v_cmpt\(6) & (\inst|Add1~11\ $ (GND))) # (!\inst|v_cmpt\(6) & (!\inst|Add1~11\ & VCC))
-- \inst|Add1~13\ = CARRY((\inst|v_cmpt\(6) & !\inst|Add1~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(6),
	datad => VCC,
	cin => \inst|Add1~11\,
	combout => \inst|Add1~12_combout\,
	cout => \inst|Add1~13\);

-- Location: LCCOMB_X60_Y32_N28
\inst|v_cmpt~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~10_combout\ = (\inst|Add1~12_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datab => \inst|v_cmpt\(10),
	datac => \inst|Add1~12_combout\,
	datad => \inst|LessThan6~2_combout\,
	combout => \inst|v_cmpt~10_combout\);

-- Location: LCFF_X60_Y32_N29
\inst|v_cmpt[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~10_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(6));

-- Location: LCCOMB_X59_Y32_N22
\inst|Add1~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~14_combout\ = (\inst|v_cmpt\(7) & (!\inst|Add1~13\)) # (!\inst|v_cmpt\(7) & ((\inst|Add1~13\) # (GND)))
-- \inst|Add1~15\ = CARRY((!\inst|Add1~13\) # (!\inst|v_cmpt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(7),
	datad => VCC,
	cin => \inst|Add1~13\,
	combout => \inst|Add1~14_combout\,
	cout => \inst|Add1~15\);

-- Location: LCCOMB_X60_Y32_N0
\inst|v_cmpt~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~6_combout\ = (\inst|Add1~14_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datab => \inst|v_cmpt\(10),
	datac => \inst|LessThan6~2_combout\,
	datad => \inst|Add1~14_combout\,
	combout => \inst|v_cmpt~6_combout\);

-- Location: LCFF_X60_Y32_N1
\inst|v_cmpt[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~6_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(7));

-- Location: LCCOMB_X59_Y32_N24
\inst|Add1~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~16_combout\ = (\inst|v_cmpt\(8) & (\inst|Add1~15\ $ (GND))) # (!\inst|v_cmpt\(8) & (!\inst|Add1~15\ & VCC))
-- \inst|Add1~17\ = CARRY((\inst|v_cmpt\(8) & !\inst|Add1~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(8),
	datad => VCC,
	cin => \inst|Add1~15\,
	combout => \inst|Add1~16_combout\,
	cout => \inst|Add1~17\);

-- Location: LCCOMB_X59_Y32_N26
\inst|Add1~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~18_combout\ = (\inst|v_cmpt\(9) & (!\inst|Add1~17\)) # (!\inst|v_cmpt\(9) & ((\inst|Add1~17\) # (GND)))
-- \inst|Add1~19\ = CARRY((!\inst|Add1~17\) # (!\inst|v_cmpt\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(9),
	datad => VCC,
	cin => \inst|Add1~17\,
	combout => \inst|Add1~18_combout\,
	cout => \inst|Add1~19\);

-- Location: LCCOMB_X58_Y32_N12
\inst|v_cmpt[9]~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt[9]~2_combout\ = (!\inst|v_cmpt\(10) & (\inst|LessThan0~1_combout\ & (\inst|Add1~18_combout\ & \inst|LessThan6~2_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|Add1~18_combout\,
	datad => \inst|LessThan6~2_combout\,
	combout => \inst|v_cmpt[9]~2_combout\);

-- Location: LCCOMB_X58_Y32_N6
\inst|v_cmpt[9]~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt[9]~3_combout\ = (\inst|v_cmpt[9]~2_combout\) # ((!\inst|LessThan0~1_combout\ & \inst|v_cmpt\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|v_cmpt\(9),
	datad => \inst|v_cmpt[9]~2_combout\,
	combout => \inst|v_cmpt[9]~3_combout\);

-- Location: LCFF_X58_Y32_N7
\inst|v_cmpt[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt[9]~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(9));

-- Location: LCCOMB_X59_Y32_N28
\inst|Add1~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~20_combout\ = \inst|Add1~19\ $ (!\inst|v_cmpt\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst|v_cmpt\(10),
	cin => \inst|Add1~19\,
	combout => \inst|Add1~20_combout\);

-- Location: LCCOMB_X60_Y32_N4
\inst|v_cmpt[10]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt[10]~1_combout\ = (\inst|LessThan0~1_combout\ & (\inst|LessThan6~2_combout\ & (!\inst|v_cmpt\(10) & \inst|Add1~20_combout\))) # (!\inst|LessThan0~1_combout\ & (((\inst|v_cmpt\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101100001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datab => \inst|LessThan6~2_combout\,
	datac => \inst|v_cmpt\(10),
	datad => \inst|Add1~20_combout\,
	combout => \inst|v_cmpt[10]~1_combout\);

-- Location: LCFF_X60_Y32_N5
\inst|v_cmpt[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(10));

-- Location: LCCOMB_X60_Y32_N18
\inst|v_cmpt~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~0_combout\ = (\inst|Add1~16_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datab => \inst|v_cmpt\(10),
	datac => \inst|LessThan6~2_combout\,
	datad => \inst|Add1~16_combout\,
	combout => \inst|v_cmpt~0_combout\);

-- Location: LCFF_X60_Y32_N19
\inst|v_cmpt[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~0_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(8));

-- Location: LCCOMB_X58_Y32_N10
\inst|v_cmpt~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~8_combout\ = (\inst|Add1~6_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|Add1~6_combout\,
	datad => \inst|LessThan6~2_combout\,
	combout => \inst|v_cmpt~8_combout\);

-- Location: LCFF_X58_Y32_N11
\inst|v_cmpt[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~8_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(3));

-- Location: LCCOMB_X58_Y32_N22
\inst|LessThan6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~0_combout\ = ((!\inst|v_cmpt\(2) & (!\inst|v_cmpt\(1) & !\inst|v_cmpt\(0)))) # (!\inst|v_cmpt\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(2),
	datab => \inst|v_cmpt\(1),
	datac => \inst|v_cmpt\(0),
	datad => \inst|v_cmpt\(3),
	combout => \inst|LessThan6~0_combout\);

-- Location: LCCOMB_X58_Y32_N0
\inst|LessThan6~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~1_combout\ = (\inst|v_cmpt\(5)) # ((\inst|v_cmpt\(6)) # ((\inst|v_cmpt\(4) & !\inst|LessThan6~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111110011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(4),
	datab => \inst|v_cmpt\(5),
	datac => \inst|v_cmpt\(6),
	datad => \inst|LessThan6~0_combout\,
	combout => \inst|LessThan6~1_combout\);

-- Location: LCCOMB_X58_Y32_N26
\inst|LessThan6~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~2_combout\ = ((!\inst|v_cmpt\(8) & ((!\inst|LessThan6~1_combout\) # (!\inst|v_cmpt\(7))))) # (!\inst|v_cmpt\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(9),
	datab => \inst|v_cmpt\(8),
	datac => \inst|v_cmpt\(7),
	datad => \inst|LessThan6~1_combout\,
	combout => \inst|LessThan6~2_combout\);

-- Location: LCCOMB_X58_Y32_N4
\inst|v_cmpt~11\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~11_combout\ = (\inst|Add1~0_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|Add1~0_combout\,
	datad => \inst|LessThan6~2_combout\,
	combout => \inst|v_cmpt~11_combout\);

-- Location: LCFF_X58_Y32_N5
\inst|v_cmpt[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~11_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(0));

-- Location: LCCOMB_X58_Y32_N28
\inst|v_cmpt~9\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~9_combout\ = (\inst|Add1~2_combout\ & (((!\inst|v_cmpt\(10) & \inst|LessThan6~2_combout\)) # (!\inst|LessThan0~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|Add1~2_combout\,
	datad => \inst|LessThan6~2_combout\,
	combout => \inst|v_cmpt~9_combout\);

-- Location: LCFF_X58_Y32_N29
\inst|v_cmpt[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~9_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(1));

-- Location: LCCOMB_X59_Y32_N4
\inst|vert_sync~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~2_combout\ = (\inst|v_cmpt\(3) & (((!\inst|v_cmpt\(6)) # (!\inst|v_cmpt\(2))))) # (!\inst|v_cmpt\(3) & ((\inst|v_cmpt\(1)) # ((\inst|v_cmpt\(2)) # (\inst|v_cmpt\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111111111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(3),
	datab => \inst|v_cmpt\(1),
	datac => \inst|v_cmpt\(2),
	datad => \inst|v_cmpt\(6),
	combout => \inst|vert_sync~2_combout\);

-- Location: LCCOMB_X59_Y32_N0
\inst|vert_sync~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~0_combout\ = (!\inst|v_cmpt\(8) & (\inst|v_cmpt\(9) & !\inst|v_cmpt\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(8),
	datac => \inst|v_cmpt\(9),
	datad => \inst|v_cmpt\(10),
	combout => \inst|vert_sync~0_combout\);

-- Location: LCCOMB_X60_Y32_N24
\inst|vert_sync~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~3_combout\ = ((\inst|vert_sync~2_combout\) # (!\inst|vert_sync~0_combout\)) # (!\inst|vert_sync~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111111011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vert_sync~1_combout\,
	datab => \inst|vert_sync~2_combout\,
	datac => \inst|vert_sync~0_combout\,
	combout => \inst|vert_sync~3_combout\);

-- Location: LCFF_X60_Y32_N25
\inst|vert_sync\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|vert_sync~3_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|vert_sync~regout\);

-- Location: LCCOMB_X59_Y32_N6
\inst|video_on_v~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~0_combout\ = (!\inst|v_cmpt\(3) & (((!\inst|v_cmpt\(1)) # (!\inst|v_cmpt\(0))) # (!\inst|v_cmpt\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(3),
	datab => \inst|v_cmpt\(2),
	datac => \inst|v_cmpt\(0),
	datad => \inst|v_cmpt\(1),
	combout => \inst|video_on_v~0_combout\);

-- Location: LCCOMB_X59_Y32_N30
\inst|video_on_v~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~1_combout\ = ((!\inst|v_cmpt\(5) & ((\inst|video_on_v~0_combout\) # (!\inst|v_cmpt\(4))))) # (!\inst|v_cmpt\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111011100110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(5),
	datab => \inst|v_cmpt\(6),
	datac => \inst|v_cmpt\(4),
	datad => \inst|video_on_v~0_combout\,
	combout => \inst|video_on_v~1_combout\);

-- Location: LCCOMB_X58_Y32_N30
\inst|video_on_v~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~2_combout\ = ((!\inst|v_cmpt\(8) & (!\inst|v_cmpt\(7) & \inst|video_on_v~1_combout\))) # (!\inst|v_cmpt\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101011101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(9),
	datab => \inst|v_cmpt\(8),
	datac => \inst|v_cmpt\(7),
	datad => \inst|video_on_v~1_combout\,
	combout => \inst|video_on_v~2_combout\);

-- Location: LCCOMB_X58_Y32_N2
\inst|video_on_v~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~3_combout\ = (\inst|v_cmpt\(10) & (((\inst|LessThan0~1_combout\)))) # (!\inst|v_cmpt\(10) & ((\inst|video_on_v~2_combout\) # ((!\inst|LessThan6~2_combout\ & \inst|LessThan0~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111010110110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|LessThan6~2_combout\,
	datac => \inst|LessThan0~1_combout\,
	datad => \inst|video_on_v~2_combout\,
	combout => \inst|video_on_v~3_combout\);

-- Location: LCFF_X58_Y32_N3
\inst|video_on_v\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|video_on_v~3_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|video_on_v~regout\);

-- Location: LCCOMB_X57_Y32_N30
\inst|video_on_h~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_h~2_combout\ = (\inst|LessThan0~1_combout\) # ((!\inst|h_cmpt\(10) & !\inst|video_on_h~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|h_cmpt\(10),
	datad => \inst|video_on_h~1_combout\,
	combout => \inst|video_on_h~2_combout\);

-- Location: LCFF_X57_Y32_N31
\inst|video_on_h\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|video_on_h~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|video_on_h~regout\);

-- Location: PIN_P25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\sw[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_sw(2),
	combout => \sw~combout\(2));

-- Location: LCCOMB_X55_Y32_N0
\inst|b_out~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|b_out~0_combout\ = (\inst|video_on_v~regout\ & (\inst|video_on_h~regout\ & \sw~combout\(2)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|video_on_v~regout\,
	datac => \inst|video_on_h~regout\,
	datad => \sw~combout\(2),
	combout => \inst|b_out~0_combout\);

-- Location: LCFF_X55_Y32_N1
\inst|b_out\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|b_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|b_out~regout\);

-- Location: PIN_N26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\sw[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_sw(1),
	combout => \sw~combout\(1));

-- Location: LCCOMB_X55_Y32_N10
\inst|v_out~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_out~0_combout\ = (\inst|video_on_v~regout\ & (\inst|video_on_h~regout\ & \sw~combout\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|video_on_v~regout\,
	datac => \inst|video_on_h~regout\,
	datad => \sw~combout\(1),
	combout => \inst|v_out~0_combout\);

-- Location: LCFF_X55_Y32_N11
\inst|v_out\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_out~regout\);

-- Location: LCCOMB_X55_Y32_N20
\inst|r_out~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|r_out~0_combout\ = (\sw~combout\(0) & (\inst|video_on_v~regout\ & \inst|video_on_h~regout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \sw~combout\(0),
	datab => \inst|video_on_v~regout\,
	datac => \inst|video_on_h~regout\,
	combout => \inst|r_out~0_combout\);

-- Location: LCFF_X55_Y32_N21
\inst|r_out\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|r_out~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|r_out~regout\);

-- Location: PIN_D6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_blank~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_blank);

-- Location: PIN_B7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_sync~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_sync);

-- Location: PIN_B8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \clock_50~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_clk);

-- Location: PIN_A7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_hs~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|hor_sync~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_hs);

-- Location: PIN_D8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_vs~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|vert_sync~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_vs);

-- Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_b[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|b_out~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_b(9));

-- Location: PIN_D12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_g[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|v_out~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_g(9));

-- Location: PIN_E10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_r[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|r_out~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_r(9));
END structure;


