-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "02/15/2011 14:53:37"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	mire_vga IS
    PORT (
	vga_blank : OUT std_logic;
	vga_sync : OUT std_logic;
	vga_clk : OUT std_logic;
	clock_50 : IN std_logic;
	vga_hs : OUT std_logic;
	vga_vs : OUT std_logic;
	vga_b : OUT std_logic_vector(9 DOWNTO 9);
	vga_g : OUT std_logic_vector(9 DOWNTO 9);
	vga_r : OUT std_logic_vector(9 DOWNTO 9)
	);
END mire_vga;

-- Design Ports Information
-- vga_blank	=>  Location: PIN_D6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_sync	=>  Location: PIN_B7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_clk	=>  Location: PIN_B8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_hs	=>  Location: PIN_A7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_vs	=>  Location: PIN_D8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_b[9]	=>  Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_g[9]	=>  Location: PIN_D12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- vga_r[9]	=>  Location: PIN_E10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- clock_50	=>  Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF mire_vga IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_vga_blank : std_logic;
SIGNAL ww_vga_sync : std_logic;
SIGNAL ww_vga_clk : std_logic;
SIGNAL ww_clock_50 : std_logic;
SIGNAL ww_vga_hs : std_logic;
SIGNAL ww_vga_vs : std_logic;
SIGNAL ww_vga_b : std_logic_vector(9 DOWNTO 9);
SIGNAL ww_vga_g : std_logic_vector(9 DOWNTO 9);
SIGNAL ww_vga_r : std_logic_vector(9 DOWNTO 9);
SIGNAL \clock_50~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst|Add1~2_combout\ : std_logic;
SIGNAL \inst|Add1~6_combout\ : std_logic;
SIGNAL \inst|Add1~10_combout\ : std_logic;
SIGNAL \inst|hor_sync~2_combout\ : std_logic;
SIGNAL \inst|LessThan6~0_combout\ : std_logic;
SIGNAL \inst|LessThan6~1_combout\ : std_logic;
SIGNAL \inst|LessThan6~2_combout\ : std_logic;
SIGNAL \inst|LessThan6~4_combout\ : std_logic;
SIGNAL \inst|v_cmpt~4_combout\ : std_logic;
SIGNAL \inst|v_cmpt~7_combout\ : std_logic;
SIGNAL \inst|video_on_v~0_combout\ : std_logic;
SIGNAL \inst|video_on_v~1_combout\ : std_logic;
SIGNAL \clock_50~combout\ : std_logic;
SIGNAL \clock_50~clkctrl_outclk\ : std_logic;
SIGNAL \inst|Add0~0_combout\ : std_logic;
SIGNAL \inst|Add0~18_combout\ : std_logic;
SIGNAL \inst|Add0~1\ : std_logic;
SIGNAL \inst|Add0~2_combout\ : std_logic;
SIGNAL \inst|Add0~19_combout\ : std_logic;
SIGNAL \inst|Add0~3\ : std_logic;
SIGNAL \inst|Add0~4_combout\ : std_logic;
SIGNAL \inst|Add0~20_combout\ : std_logic;
SIGNAL \inst|Add0~5\ : std_logic;
SIGNAL \inst|Add0~6_combout\ : std_logic;
SIGNAL \inst|Add0~17_combout\ : std_logic;
SIGNAL \inst|LessThan5~0_combout\ : std_logic;
SIGNAL \inst|Add0~7\ : std_logic;
SIGNAL \inst|Add0~8_combout\ : std_logic;
SIGNAL \inst|Add0~15_combout\ : std_logic;
SIGNAL \inst|Add0~9\ : std_logic;
SIGNAL \inst|Add0~11\ : std_logic;
SIGNAL \inst|Add0~13\ : std_logic;
SIGNAL \inst|Add0~22\ : std_logic;
SIGNAL \inst|Add0~24_combout\ : std_logic;
SIGNAL \inst|Add0~31_combout\ : std_logic;
SIGNAL \inst|Add0~12_combout\ : std_logic;
SIGNAL \inst|Add0~14_combout\ : std_logic;
SIGNAL \inst|Add0~25\ : std_logic;
SIGNAL \inst|Add0~26_combout\ : std_logic;
SIGNAL \inst|Add0~32_combout\ : std_logic;
SIGNAL \inst|LessThan0~0_combout\ : std_logic;
SIGNAL \inst|Add0~27\ : std_logic;
SIGNAL \inst|Add0~28_combout\ : std_logic;
SIGNAL \inst|Add0~30_combout\ : std_logic;
SIGNAL \inst|LessThan0~1_combout\ : std_logic;
SIGNAL \inst|Add0~10_combout\ : std_logic;
SIGNAL \inst|Add0~16_combout\ : std_logic;
SIGNAL \inst|Add0~21_combout\ : std_logic;
SIGNAL \inst|Add0~23_combout\ : std_logic;
SIGNAL \inst|hor_sync~3_combout\ : std_logic;
SIGNAL \inst|video_on_h~0_combout\ : std_logic;
SIGNAL \inst|video_on_h~1_combout\ : std_logic;
SIGNAL \inst|hor_sync~0_combout\ : std_logic;
SIGNAL \inst|hor_sync~1_combout\ : std_logic;
SIGNAL \inst|hor_sync~4_combout\ : std_logic;
SIGNAL \inst|hor_sync~regout\ : std_logic;
SIGNAL \inst|v_cmpt~8_combout\ : std_logic;
SIGNAL \inst|Add1~0_combout\ : std_logic;
SIGNAL \inst|v_cmpt~10_combout\ : std_logic;
SIGNAL \inst|Add1~1\ : std_logic;
SIGNAL \inst|Add1~3\ : std_logic;
SIGNAL \inst|Add1~4_combout\ : std_logic;
SIGNAL \inst|v_cmpt~3_combout\ : std_logic;
SIGNAL \inst|Add1~5\ : std_logic;
SIGNAL \inst|Add1~7\ : std_logic;
SIGNAL \inst|Add1~8_combout\ : std_logic;
SIGNAL \inst|v_cmpt~6_combout\ : std_logic;
SIGNAL \inst|Add1~9\ : std_logic;
SIGNAL \inst|Add1~11\ : std_logic;
SIGNAL \inst|Add1~13\ : std_logic;
SIGNAL \inst|Add1~14_combout\ : std_logic;
SIGNAL \inst|v_cmpt~5_combout\ : std_logic;
SIGNAL \inst|Add1~15\ : std_logic;
SIGNAL \inst|Add1~16_combout\ : std_logic;
SIGNAL \inst|v_cmpt~0_combout\ : std_logic;
SIGNAL \inst|Add1~17\ : std_logic;
SIGNAL \inst|Add1~18_combout\ : std_logic;
SIGNAL \inst|v_cmpt[9]~2_combout\ : std_logic;
SIGNAL \inst|Add1~19\ : std_logic;
SIGNAL \inst|Add1~20_combout\ : std_logic;
SIGNAL \inst|v_cmpt[10]~1_combout\ : std_logic;
SIGNAL \inst|LessThan6~3_combout\ : std_logic;
SIGNAL \inst|process_0~0_combout\ : std_logic;
SIGNAL \inst|Add1~12_combout\ : std_logic;
SIGNAL \inst|v_cmpt~9_combout\ : std_logic;
SIGNAL \inst|vert_sync~2_combout\ : std_logic;
SIGNAL \inst|vert_sync~0_combout\ : std_logic;
SIGNAL \inst|vert_sync~1_combout\ : std_logic;
SIGNAL \inst|vert_sync~3_combout\ : std_logic;
SIGNAL \inst|vert_sync~regout\ : std_logic;
SIGNAL \inst|video_on_h~2_combout\ : std_logic;
SIGNAL \inst|video_on_h~regout\ : std_logic;
SIGNAL \inst|video_on_v~2_combout\ : std_logic;
SIGNAL \inst|video_on_v~3_combout\ : std_logic;
SIGNAL \inst|video_on_v~regout\ : std_logic;
SIGNAL \inst10~0_combout\ : std_logic;
SIGNAL \inst|b_out~regout\ : std_logic;
SIGNAL \inst10~1_combout\ : std_logic;
SIGNAL \inst|v_out~regout\ : std_logic;
SIGNAL \inst10~2_combout\ : std_logic;
SIGNAL \inst|r_out~regout\ : std_logic;
SIGNAL \inst|h_cmpt\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \inst|pixel_col\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \inst|v_cmpt\ : std_logic_vector(10 DOWNTO 0);

BEGIN

vga_blank <= ww_vga_blank;
vga_sync <= ww_vga_sync;
vga_clk <= ww_vga_clk;
ww_clock_50 <= clock_50;
vga_hs <= ww_vga_hs;
vga_vs <= ww_vga_vs;
vga_b <= ww_vga_b;
vga_g <= ww_vga_g;
vga_r <= ww_vga_r;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clock_50~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clock_50~combout\);

-- Location: LCCOMB_X60_Y32_N2
\inst|Add1~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~2_combout\ = (\inst|v_cmpt\(1) & (!\inst|Add1~1\)) # (!\inst|v_cmpt\(1) & ((\inst|Add1~1\) # (GND)))
-- \inst|Add1~3\ = CARRY((!\inst|Add1~1\) # (!\inst|v_cmpt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(1),
	datad => VCC,
	cin => \inst|Add1~1\,
	combout => \inst|Add1~2_combout\,
	cout => \inst|Add1~3\);

-- Location: LCCOMB_X60_Y32_N6
\inst|Add1~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~6_combout\ = (\inst|v_cmpt\(3) & (!\inst|Add1~5\)) # (!\inst|v_cmpt\(3) & ((\inst|Add1~5\) # (GND)))
-- \inst|Add1~7\ = CARRY((!\inst|Add1~5\) # (!\inst|v_cmpt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(3),
	datad => VCC,
	cin => \inst|Add1~5\,
	combout => \inst|Add1~6_combout\,
	cout => \inst|Add1~7\);

-- Location: LCCOMB_X60_Y32_N10
\inst|Add1~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~10_combout\ = (\inst|v_cmpt\(5) & (!\inst|Add1~9\)) # (!\inst|v_cmpt\(5) & ((\inst|Add1~9\) # (GND)))
-- \inst|Add1~11\ = CARRY((!\inst|Add1~9\) # (!\inst|v_cmpt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(5),
	datad => VCC,
	cin => \inst|Add1~9\,
	combout => \inst|Add1~10_combout\,
	cout => \inst|Add1~11\);

-- Location: LCCOMB_X64_Y32_N20
\inst|hor_sync~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~2_combout\ = (!\inst|h_cmpt\(3) & (((!\inst|h_cmpt\(0)) # (!\inst|h_cmpt\(1))) # (!\inst|h_cmpt\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(2),
	datab => \inst|h_cmpt\(1),
	datac => \inst|h_cmpt\(3),
	datad => \inst|h_cmpt\(0),
	combout => \inst|hor_sync~2_combout\);

-- Location: LCFF_X64_Y32_N17
\inst|v_cmpt[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~4_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(5));

-- Location: LCFF_X61_Y32_N5
\inst|v_cmpt[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~7_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(3));

-- Location: LCFF_X62_Y32_N21
\inst|pixel_col[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~23_combout\,
	ena => \inst|video_on_h~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|pixel_col\(7));

-- Location: LCCOMB_X62_Y32_N0
\inst|LessThan6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~0_combout\ = (!\inst|v_cmpt\(6) & (!\inst|v_cmpt\(8) & !\inst|v_cmpt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(6),
	datab => \inst|v_cmpt\(8),
	datad => \inst|v_cmpt\(5),
	combout => \inst|LessThan6~0_combout\);

-- Location: LCCOMB_X62_Y32_N10
\inst|LessThan6~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~1_combout\ = ((!\inst|v_cmpt\(1) & (!\inst|v_cmpt\(0) & !\inst|v_cmpt\(2)))) # (!\inst|v_cmpt\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100011111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(1),
	datab => \inst|v_cmpt\(0),
	datac => \inst|v_cmpt\(3),
	datad => \inst|v_cmpt\(2),
	combout => \inst|LessThan6~1_combout\);

-- Location: LCCOMB_X62_Y32_N12
\inst|LessThan6~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~2_combout\ = (\inst|LessThan6~0_combout\ & ((\inst|LessThan6~1_combout\) # (!\inst|v_cmpt\(4))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan6~1_combout\,
	datac => \inst|v_cmpt\(4),
	datad => \inst|LessThan6~0_combout\,
	combout => \inst|LessThan6~2_combout\);

-- Location: LCCOMB_X64_Y32_N12
\inst|LessThan6~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~4_combout\ = (!\inst|v_cmpt\(10) & ((\inst|LessThan6~2_combout\) # (\inst|LessThan6~3_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(10),
	datac => \inst|LessThan6~2_combout\,
	datad => \inst|LessThan6~3_combout\,
	combout => \inst|LessThan6~4_combout\);

-- Location: LCCOMB_X64_Y32_N16
\inst|v_cmpt~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~4_combout\ = (\inst|Add1~10_combout\ & \inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|Add1~10_combout\,
	datad => \inst|process_0~0_combout\,
	combout => \inst|v_cmpt~4_combout\);

-- Location: LCCOMB_X61_Y32_N4
\inst|v_cmpt~7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~7_combout\ = (\inst|Add1~6_combout\ & \inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|Add1~6_combout\,
	datad => \inst|process_0~0_combout\,
	combout => \inst|v_cmpt~7_combout\);

-- Location: LCCOMB_X61_Y32_N26
\inst|video_on_v~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~0_combout\ = (!\inst|v_cmpt\(3) & (((!\inst|v_cmpt\(1)) # (!\inst|v_cmpt\(2))) # (!\inst|v_cmpt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000011100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(0),
	datab => \inst|v_cmpt\(2),
	datac => \inst|v_cmpt\(3),
	datad => \inst|v_cmpt\(1),
	combout => \inst|video_on_v~0_combout\);

-- Location: LCCOMB_X61_Y32_N12
\inst|video_on_v~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~1_combout\ = (\inst|v_cmpt\(5)) # ((\inst|v_cmpt\(4) & !\inst|video_on_v~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(5),
	datac => \inst|v_cmpt\(4),
	datad => \inst|video_on_v~0_combout\,
	combout => \inst|video_on_v~1_combout\);

-- Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clock_50~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clock_50,
	combout => \clock_50~combout\);

-- Location: CLKCTRL_G2
\clock_50~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clock_50~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clock_50~clkctrl_outclk\);

-- Location: LCCOMB_X63_Y32_N6
\inst|Add0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~0_combout\ = \inst|h_cmpt\(0) $ (VCC)
-- \inst|Add0~1\ = CARRY(\inst|h_cmpt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(0),
	datad => VCC,
	combout => \inst|Add0~0_combout\,
	cout => \inst|Add0~1\);

-- Location: LCCOMB_X62_Y32_N28
\inst|Add0~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~18_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~0_combout\,
	combout => \inst|Add0~18_combout\);

-- Location: LCFF_X62_Y32_N29
\inst|h_cmpt[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~18_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(0));

-- Location: LCCOMB_X63_Y32_N8
\inst|Add0~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~2_combout\ = (\inst|h_cmpt\(1) & (!\inst|Add0~1\)) # (!\inst|h_cmpt\(1) & ((\inst|Add0~1\) # (GND)))
-- \inst|Add0~3\ = CARRY((!\inst|Add0~1\) # (!\inst|h_cmpt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(1),
	datad => VCC,
	cin => \inst|Add0~1\,
	combout => \inst|Add0~2_combout\,
	cout => \inst|Add0~3\);

-- Location: LCCOMB_X62_Y32_N14
\inst|Add0~19\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~19_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~2_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datac => \inst|Add0~2_combout\,
	combout => \inst|Add0~19_combout\);

-- Location: LCFF_X62_Y32_N15
\inst|h_cmpt[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~19_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(1));

-- Location: LCCOMB_X63_Y32_N10
\inst|Add0~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~4_combout\ = (\inst|h_cmpt\(2) & (\inst|Add0~3\ $ (GND))) # (!\inst|h_cmpt\(2) & (!\inst|Add0~3\ & VCC))
-- \inst|Add0~5\ = CARRY((\inst|h_cmpt\(2) & !\inst|Add0~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(2),
	datad => VCC,
	cin => \inst|Add0~3\,
	combout => \inst|Add0~4_combout\,
	cout => \inst|Add0~5\);

-- Location: LCCOMB_X62_Y32_N16
\inst|Add0~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~20_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~4_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datac => \inst|Add0~4_combout\,
	combout => \inst|Add0~20_combout\);

-- Location: LCFF_X62_Y32_N17
\inst|h_cmpt[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~20_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(2));

-- Location: LCCOMB_X63_Y32_N12
\inst|Add0~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~6_combout\ = (\inst|h_cmpt\(3) & (!\inst|Add0~5\)) # (!\inst|h_cmpt\(3) & ((\inst|Add0~5\) # (GND)))
-- \inst|Add0~7\ = CARRY((!\inst|Add0~5\) # (!\inst|h_cmpt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(3),
	datad => VCC,
	cin => \inst|Add0~5\,
	combout => \inst|Add0~6_combout\,
	cout => \inst|Add0~7\);

-- Location: LCCOMB_X62_Y32_N26
\inst|Add0~17\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~17_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~6_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101000001010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~1_combout\,
	datac => \inst|Add0~6_combout\,
	combout => \inst|Add0~17_combout\);

-- Location: LCFF_X62_Y32_N27
\inst|h_cmpt[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~17_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(3));

-- Location: LCCOMB_X62_Y32_N18
\inst|LessThan5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan5~0_combout\ = (((!\inst|h_cmpt\(3)) # (!\inst|h_cmpt\(1))) # (!\inst|h_cmpt\(0))) # (!\inst|h_cmpt\(2))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(2),
	datab => \inst|h_cmpt\(0),
	datac => \inst|h_cmpt\(1),
	datad => \inst|h_cmpt\(3),
	combout => \inst|LessThan5~0_combout\);

-- Location: LCCOMB_X63_Y32_N14
\inst|Add0~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~8_combout\ = (\inst|h_cmpt\(4) & (\inst|Add0~7\ $ (GND))) # (!\inst|h_cmpt\(4) & (!\inst|Add0~7\ & VCC))
-- \inst|Add0~9\ = CARRY((\inst|h_cmpt\(4) & !\inst|Add0~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(4),
	datad => VCC,
	cin => \inst|Add0~7\,
	combout => \inst|Add0~8_combout\,
	cout => \inst|Add0~9\);

-- Location: LCCOMB_X64_Y32_N10
\inst|Add0~15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~15_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~8_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~8_combout\,
	combout => \inst|Add0~15_combout\);

-- Location: LCFF_X64_Y32_N11
\inst|h_cmpt[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(4));

-- Location: LCCOMB_X63_Y32_N16
\inst|Add0~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~10_combout\ = (\inst|h_cmpt\(5) & (!\inst|Add0~9\)) # (!\inst|h_cmpt\(5) & ((\inst|Add0~9\) # (GND)))
-- \inst|Add0~11\ = CARRY((!\inst|Add0~9\) # (!\inst|h_cmpt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(5),
	datad => VCC,
	cin => \inst|Add0~9\,
	combout => \inst|Add0~10_combout\,
	cout => \inst|Add0~11\);

-- Location: LCCOMB_X63_Y32_N18
\inst|Add0~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~12_combout\ = (\inst|h_cmpt\(6) & (\inst|Add0~11\ $ (GND))) # (!\inst|h_cmpt\(6) & (!\inst|Add0~11\ & VCC))
-- \inst|Add0~13\ = CARRY((\inst|h_cmpt\(6) & !\inst|Add0~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(6),
	datad => VCC,
	cin => \inst|Add0~11\,
	combout => \inst|Add0~12_combout\,
	cout => \inst|Add0~13\);

-- Location: LCCOMB_X63_Y32_N20
\inst|Add0~21\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~21_combout\ = (\inst|h_cmpt\(7) & (!\inst|Add0~13\)) # (!\inst|h_cmpt\(7) & ((\inst|Add0~13\) # (GND)))
-- \inst|Add0~22\ = CARRY((!\inst|Add0~13\) # (!\inst|h_cmpt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(7),
	datad => VCC,
	cin => \inst|Add0~13\,
	combout => \inst|Add0~21_combout\,
	cout => \inst|Add0~22\);

-- Location: LCCOMB_X63_Y32_N22
\inst|Add0~24\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~24_combout\ = (\inst|h_cmpt\(8) & (\inst|Add0~22\ $ (GND))) # (!\inst|h_cmpt\(8) & (!\inst|Add0~22\ & VCC))
-- \inst|Add0~25\ = CARRY((\inst|h_cmpt\(8) & !\inst|Add0~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(8),
	datad => VCC,
	cin => \inst|Add0~22\,
	combout => \inst|Add0~24_combout\,
	cout => \inst|Add0~25\);

-- Location: LCCOMB_X64_Y32_N24
\inst|Add0~31\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~31_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~24_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~24_combout\,
	combout => \inst|Add0~31_combout\);

-- Location: LCFF_X64_Y32_N25
\inst|h_cmpt[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~31_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(8));

-- Location: LCCOMB_X62_Y32_N2
\inst|Add0~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~14_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~12_combout\,
	combout => \inst|Add0~14_combout\);

-- Location: LCFF_X62_Y32_N9
\inst|h_cmpt[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	sdata => \inst|Add0~14_combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(6));

-- Location: LCCOMB_X63_Y32_N24
\inst|Add0~26\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~26_combout\ = (\inst|h_cmpt\(9) & (!\inst|Add0~25\)) # (!\inst|h_cmpt\(9) & ((\inst|Add0~25\) # (GND)))
-- \inst|Add0~27\ = CARRY((!\inst|Add0~25\) # (!\inst|h_cmpt\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(9),
	datad => VCC,
	cin => \inst|Add0~25\,
	combout => \inst|Add0~26_combout\,
	cout => \inst|Add0~27\);

-- Location: LCCOMB_X64_Y32_N2
\inst|Add0~32\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~32_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~26_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~26_combout\,
	combout => \inst|Add0~32_combout\);

-- Location: LCFF_X64_Y32_N3
\inst|h_cmpt[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~32_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(9));

-- Location: LCCOMB_X62_Y32_N8
\inst|LessThan0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~0_combout\ = (!\inst|h_cmpt\(7) & (!\inst|h_cmpt\(8) & (!\inst|h_cmpt\(6) & !\inst|h_cmpt\(9))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(7),
	datab => \inst|h_cmpt\(8),
	datac => \inst|h_cmpt\(6),
	datad => \inst|h_cmpt\(9),
	combout => \inst|LessThan0~0_combout\);

-- Location: LCCOMB_X63_Y32_N26
\inst|Add0~28\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~28_combout\ = \inst|Add0~27\ $ (!\inst|h_cmpt\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst|h_cmpt\(10),
	cin => \inst|Add0~27\,
	combout => \inst|Add0~28_combout\);

-- Location: LCCOMB_X64_Y32_N18
\inst|Add0~30\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~30_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~28_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~28_combout\,
	combout => \inst|Add0~30_combout\);

-- Location: LCFF_X64_Y32_N19
\inst|h_cmpt[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~30_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(10));

-- Location: LCCOMB_X62_Y32_N24
\inst|LessThan0~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~1_combout\ = (\inst|h_cmpt\(10) & (((!\inst|LessThan0~0_combout\) # (!\inst|LessThan5~0_combout\)) # (!\inst|hor_sync~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hor_sync~0_combout\,
	datab => \inst|LessThan5~0_combout\,
	datac => \inst|LessThan0~0_combout\,
	datad => \inst|h_cmpt\(10),
	combout => \inst|LessThan0~1_combout\);

-- Location: LCCOMB_X64_Y32_N28
\inst|Add0~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~16_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~10_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~10_combout\,
	combout => \inst|Add0~16_combout\);

-- Location: LCFF_X64_Y32_N29
\inst|h_cmpt[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~16_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(5));

-- Location: LCCOMB_X62_Y32_N20
\inst|Add0~23\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add0~23_combout\ = (!\inst|LessThan0~1_combout\ & \inst|Add0~21_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|LessThan0~1_combout\,
	datad => \inst|Add0~21_combout\,
	combout => \inst|Add0~23_combout\);

-- Location: LCFF_X63_Y32_N21
\inst|h_cmpt[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	sdata => \inst|Add0~23_combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|h_cmpt\(7));

-- Location: LCCOMB_X64_Y32_N22
\inst|hor_sync~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~3_combout\ = (\inst|h_cmpt\(10)) # ((\inst|hor_sync~2_combout\ & (!\inst|h_cmpt\(5) & !\inst|h_cmpt\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hor_sync~2_combout\,
	datab => \inst|h_cmpt\(5),
	datac => \inst|h_cmpt\(7),
	datad => \inst|h_cmpt\(10),
	combout => \inst|hor_sync~3_combout\);

-- Location: LCCOMB_X62_Y32_N4
\inst|video_on_h~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_h~0_combout\ = (\inst|h_cmpt\(6)) # ((\inst|h_cmpt\(5)) # ((\inst|h_cmpt\(4) & !\inst|LessThan5~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(6),
	datab => \inst|h_cmpt\(5),
	datac => \inst|h_cmpt\(4),
	datad => \inst|LessThan5~0_combout\,
	combout => \inst|video_on_h~0_combout\);

-- Location: LCCOMB_X62_Y32_N22
\inst|video_on_h~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_h~1_combout\ = (\inst|h_cmpt\(8) & (\inst|h_cmpt\(9) & ((\inst|h_cmpt\(7)) # (\inst|video_on_h~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100100000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(7),
	datab => \inst|h_cmpt\(8),
	datac => \inst|video_on_h~0_combout\,
	datad => \inst|h_cmpt\(9),
	combout => \inst|video_on_h~1_combout\);

-- Location: LCCOMB_X64_Y32_N30
\inst|hor_sync~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~0_combout\ = (!\inst|h_cmpt\(4) & !\inst|h_cmpt\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(4),
	datad => \inst|h_cmpt\(5),
	combout => \inst|hor_sync~0_combout\);

-- Location: LCCOMB_X64_Y32_N0
\inst|hor_sync~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~1_combout\ = (\inst|h_cmpt\(6) & ((\inst|hor_sync~0_combout\ & ((!\inst|LessThan5~0_combout\) # (!\inst|h_cmpt\(7)))) # (!\inst|hor_sync~0_combout\ & (\inst|h_cmpt\(7))))) # (!\inst|h_cmpt\(6) & (((!\inst|h_cmpt\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010110110101101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|h_cmpt\(6),
	datab => \inst|hor_sync~0_combout\,
	datac => \inst|h_cmpt\(7),
	datad => \inst|LessThan5~0_combout\,
	combout => \inst|hor_sync~1_combout\);

-- Location: LCCOMB_X64_Y32_N8
\inst|hor_sync~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|hor_sync~4_combout\ = (\inst|hor_sync~3_combout\) # ((\inst|hor_sync~1_combout\) # (!\inst|video_on_h~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|hor_sync~3_combout\,
	datac => \inst|video_on_h~1_combout\,
	datad => \inst|hor_sync~1_combout\,
	combout => \inst|hor_sync~4_combout\);

-- Location: LCFF_X64_Y32_N9
\inst|hor_sync\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|hor_sync~4_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|hor_sync~regout\);

-- Location: LCCOMB_X61_Y32_N30
\inst|v_cmpt~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~8_combout\ = (\inst|Add1~2_combout\ & \inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|Add1~2_combout\,
	datad => \inst|process_0~0_combout\,
	combout => \inst|v_cmpt~8_combout\);

-- Location: LCFF_X61_Y32_N31
\inst|v_cmpt[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~8_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(1));

-- Location: LCCOMB_X60_Y32_N0
\inst|Add1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~0_combout\ = \inst|v_cmpt\(0) $ (VCC)
-- \inst|Add1~1\ = CARRY(\inst|v_cmpt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(0),
	datad => VCC,
	combout => \inst|Add1~0_combout\,
	cout => \inst|Add1~1\);

-- Location: LCCOMB_X61_Y32_N22
\inst|v_cmpt~10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~10_combout\ = (\inst|Add1~0_combout\ & \inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|Add1~0_combout\,
	datad => \inst|process_0~0_combout\,
	combout => \inst|v_cmpt~10_combout\);

-- Location: LCFF_X61_Y32_N23
\inst|v_cmpt[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~10_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(0));

-- Location: LCCOMB_X60_Y32_N4
\inst|Add1~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~4_combout\ = (\inst|v_cmpt\(2) & (\inst|Add1~3\ $ (GND))) # (!\inst|v_cmpt\(2) & (!\inst|Add1~3\ & VCC))
-- \inst|Add1~5\ = CARRY((\inst|v_cmpt\(2) & !\inst|Add1~3\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(2),
	datad => VCC,
	cin => \inst|Add1~3\,
	combout => \inst|Add1~4_combout\,
	cout => \inst|Add1~5\);

-- Location: LCCOMB_X61_Y32_N14
\inst|v_cmpt~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~3_combout\ = (\inst|Add1~4_combout\ & \inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|Add1~4_combout\,
	datad => \inst|process_0~0_combout\,
	combout => \inst|v_cmpt~3_combout\);

-- Location: LCFF_X61_Y32_N15
\inst|v_cmpt[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~3_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(2));

-- Location: LCCOMB_X60_Y32_N8
\inst|Add1~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~8_combout\ = (\inst|v_cmpt\(4) & (\inst|Add1~7\ $ (GND))) # (!\inst|v_cmpt\(4) & (!\inst|Add1~7\ & VCC))
-- \inst|Add1~9\ = CARRY((\inst|v_cmpt\(4) & !\inst|Add1~7\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(4),
	datad => VCC,
	cin => \inst|Add1~7\,
	combout => \inst|Add1~8_combout\,
	cout => \inst|Add1~9\);

-- Location: LCCOMB_X64_Y32_N26
\inst|v_cmpt~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~6_combout\ = (\inst|Add1~8_combout\ & \inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|Add1~8_combout\,
	datad => \inst|process_0~0_combout\,
	combout => \inst|v_cmpt~6_combout\);

-- Location: LCFF_X64_Y32_N27
\inst|v_cmpt[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~6_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(4));

-- Location: LCCOMB_X60_Y32_N12
\inst|Add1~12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~12_combout\ = (\inst|v_cmpt\(6) & (\inst|Add1~11\ $ (GND))) # (!\inst|v_cmpt\(6) & (!\inst|Add1~11\ & VCC))
-- \inst|Add1~13\ = CARRY((\inst|v_cmpt\(6) & !\inst|Add1~11\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(6),
	datad => VCC,
	cin => \inst|Add1~11\,
	combout => \inst|Add1~12_combout\,
	cout => \inst|Add1~13\);

-- Location: LCCOMB_X60_Y32_N14
\inst|Add1~14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~14_combout\ = (\inst|v_cmpt\(7) & (!\inst|Add1~13\)) # (!\inst|v_cmpt\(7) & ((\inst|Add1~13\) # (GND)))
-- \inst|Add1~15\ = CARRY((!\inst|Add1~13\) # (!\inst|v_cmpt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(7),
	datad => VCC,
	cin => \inst|Add1~13\,
	combout => \inst|Add1~14_combout\,
	cout => \inst|Add1~15\);

-- Location: LCCOMB_X61_Y32_N0
\inst|v_cmpt~5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~5_combout\ = (\inst|process_0~0_combout\ & \inst|Add1~14_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|process_0~0_combout\,
	datad => \inst|Add1~14_combout\,
	combout => \inst|v_cmpt~5_combout\);

-- Location: LCFF_X61_Y32_N1
\inst|v_cmpt[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~5_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(7));

-- Location: LCCOMB_X60_Y32_N16
\inst|Add1~16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~16_combout\ = (\inst|v_cmpt\(8) & (\inst|Add1~15\ $ (GND))) # (!\inst|v_cmpt\(8) & (!\inst|Add1~15\ & VCC))
-- \inst|Add1~17\ = CARRY((\inst|v_cmpt\(8) & !\inst|Add1~15\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(8),
	datad => VCC,
	cin => \inst|Add1~15\,
	combout => \inst|Add1~16_combout\,
	cout => \inst|Add1~17\);

-- Location: LCCOMB_X61_Y32_N18
\inst|v_cmpt~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~0_combout\ = (\inst|process_0~0_combout\ & \inst|Add1~16_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|process_0~0_combout\,
	datad => \inst|Add1~16_combout\,
	combout => \inst|v_cmpt~0_combout\);

-- Location: LCFF_X61_Y32_N19
\inst|v_cmpt[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~0_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(8));

-- Location: LCCOMB_X60_Y32_N18
\inst|Add1~18\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~18_combout\ = (\inst|v_cmpt\(9) & (!\inst|Add1~17\)) # (!\inst|v_cmpt\(9) & ((\inst|Add1~17\) # (GND)))
-- \inst|Add1~19\ = CARRY((!\inst|Add1~17\) # (!\inst|v_cmpt\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(9),
	datad => VCC,
	cin => \inst|Add1~17\,
	combout => \inst|Add1~18_combout\,
	cout => \inst|Add1~19\);

-- Location: LCCOMB_X64_Y32_N6
\inst|v_cmpt[9]~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt[9]~2_combout\ = (\inst|LessThan0~1_combout\ & (\inst|LessThan6~4_combout\ & ((\inst|Add1~18_combout\)))) # (!\inst|LessThan0~1_combout\ & (((\inst|v_cmpt\(9)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan6~4_combout\,
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|v_cmpt\(9),
	datad => \inst|Add1~18_combout\,
	combout => \inst|v_cmpt[9]~2_combout\);

-- Location: LCFF_X64_Y32_N7
\inst|v_cmpt[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt[9]~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(9));

-- Location: LCCOMB_X60_Y32_N20
\inst|Add1~20\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Add1~20_combout\ = \inst|Add1~19\ $ (!\inst|v_cmpt\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst|v_cmpt\(10),
	cin => \inst|Add1~19\,
	combout => \inst|Add1~20_combout\);

-- Location: LCCOMB_X64_Y32_N4
\inst|v_cmpt[10]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt[10]~1_combout\ = (\inst|LessThan0~1_combout\ & (\inst|LessThan6~4_combout\ & ((\inst|Add1~20_combout\)))) # (!\inst|LessThan0~1_combout\ & (((\inst|v_cmpt\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011100000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan6~4_combout\,
	datab => \inst|LessThan0~1_combout\,
	datac => \inst|v_cmpt\(10),
	datad => \inst|Add1~20_combout\,
	combout => \inst|v_cmpt[10]~1_combout\);

-- Location: LCFF_X64_Y32_N5
\inst|v_cmpt[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt[10]~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(10));

-- Location: LCCOMB_X61_Y32_N24
\inst|LessThan6~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan6~3_combout\ = ((!\inst|v_cmpt\(7) & !\inst|v_cmpt\(8))) # (!\inst|v_cmpt\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(7),
	datac => \inst|v_cmpt\(9),
	datad => \inst|v_cmpt\(8),
	combout => \inst|LessThan6~3_combout\);

-- Location: LCCOMB_X62_Y32_N30
\inst|process_0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|process_0~0_combout\ = ((!\inst|v_cmpt\(10) & ((\inst|LessThan6~2_combout\) # (\inst|LessThan6~3_combout\)))) # (!\inst|LessThan0~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011111100101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan6~2_combout\,
	datab => \inst|v_cmpt\(10),
	datac => \inst|LessThan0~1_combout\,
	datad => \inst|LessThan6~3_combout\,
	combout => \inst|process_0~0_combout\);

-- Location: LCCOMB_X61_Y32_N8
\inst|v_cmpt~9\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|v_cmpt~9_combout\ = (\inst|process_0~0_combout\ & \inst|Add1~12_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|process_0~0_combout\,
	datad => \inst|Add1~12_combout\,
	combout => \inst|v_cmpt~9_combout\);

-- Location: LCFF_X61_Y32_N9
\inst|v_cmpt[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|v_cmpt~9_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_cmpt\(6));

-- Location: LCCOMB_X61_Y32_N2
\inst|vert_sync~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~2_combout\ = (\inst|v_cmpt\(3) & (((!\inst|v_cmpt\(2))) # (!\inst|v_cmpt\(6)))) # (!\inst|v_cmpt\(3) & ((\inst|v_cmpt\(6)) # ((\inst|v_cmpt\(2)) # (\inst|v_cmpt\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111111101111110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(3),
	datab => \inst|v_cmpt\(6),
	datac => \inst|v_cmpt\(2),
	datad => \inst|v_cmpt\(1),
	combout => \inst|vert_sync~2_combout\);

-- Location: LCCOMB_X61_Y32_N20
\inst|vert_sync~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~0_combout\ = (!\inst|v_cmpt\(8) & (\inst|v_cmpt\(9) & !\inst|v_cmpt\(10)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|v_cmpt\(8),
	datac => \inst|v_cmpt\(9),
	datad => \inst|v_cmpt\(10),
	combout => \inst|vert_sync~0_combout\);

-- Location: LCCOMB_X61_Y32_N10
\inst|vert_sync~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~1_combout\ = (\inst|v_cmpt\(5) & (\inst|v_cmpt\(2) & (\inst|v_cmpt\(4) & !\inst|v_cmpt\(7)))) # (!\inst|v_cmpt\(5) & (!\inst|v_cmpt\(2) & (!\inst|v_cmpt\(4) & \inst|v_cmpt\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(5),
	datab => \inst|v_cmpt\(2),
	datac => \inst|v_cmpt\(4),
	datad => \inst|v_cmpt\(7),
	combout => \inst|vert_sync~1_combout\);

-- Location: LCCOMB_X61_Y32_N16
\inst|vert_sync~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|vert_sync~3_combout\ = (\inst|vert_sync~2_combout\) # ((!\inst|vert_sync~1_combout\) # (!\inst|vert_sync~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|vert_sync~2_combout\,
	datac => \inst|vert_sync~0_combout\,
	datad => \inst|vert_sync~1_combout\,
	combout => \inst|vert_sync~3_combout\);

-- Location: LCFF_X61_Y32_N17
\inst|vert_sync\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|vert_sync~3_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|vert_sync~regout\);

-- Location: LCCOMB_X62_Y32_N6
\inst|video_on_h~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_h~2_combout\ = (\inst|LessThan0~1_combout\) # ((!\inst|h_cmpt\(10) & !\inst|video_on_h~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|h_cmpt\(10),
	datac => \inst|LessThan0~1_combout\,
	datad => \inst|video_on_h~1_combout\,
	combout => \inst|video_on_h~2_combout\);

-- Location: LCFF_X62_Y32_N7
\inst|video_on_h\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|video_on_h~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|video_on_h~regout\);

-- Location: LCCOMB_X61_Y32_N6
\inst|video_on_v~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~2_combout\ = (\inst|v_cmpt\(7)) # ((\inst|v_cmpt\(8)) # ((\inst|video_on_v~1_combout\ & \inst|v_cmpt\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|video_on_v~1_combout\,
	datab => \inst|v_cmpt\(7),
	datac => \inst|v_cmpt\(6),
	datad => \inst|v_cmpt\(8),
	combout => \inst|video_on_v~2_combout\);

-- Location: LCCOMB_X61_Y32_N28
\inst|video_on_v~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|video_on_v~3_combout\ = ((!\inst|v_cmpt\(10) & ((!\inst|video_on_v~2_combout\) # (!\inst|v_cmpt\(9))))) # (!\inst|process_0~0_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011011101110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|v_cmpt\(10),
	datab => \inst|process_0~0_combout\,
	datac => \inst|v_cmpt\(9),
	datad => \inst|video_on_v~2_combout\,
	combout => \inst|video_on_v~3_combout\);

-- Location: LCFF_X61_Y32_N29
\inst|video_on_v\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|video_on_v~3_combout\,
	ena => \inst|LessThan0~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|video_on_v~regout\);

-- Location: LCFF_X62_Y32_N3
\inst|pixel_col[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst|Add0~14_combout\,
	ena => \inst|video_on_h~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|pixel_col\(6));

-- Location: LCCOMB_X59_Y32_N0
\inst10~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst10~0_combout\ = (\inst|pixel_col\(7) & (\inst|video_on_h~regout\ & (\inst|video_on_v~regout\ & \inst|pixel_col\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|pixel_col\(7),
	datab => \inst|video_on_h~regout\,
	datac => \inst|video_on_v~regout\,
	datad => \inst|pixel_col\(6),
	combout => \inst10~0_combout\);

-- Location: LCFF_X59_Y32_N1
\inst|b_out\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst10~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|b_out~regout\);

-- Location: LCCOMB_X59_Y32_N18
\inst10~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst10~1_combout\ = (!\inst|pixel_col\(7) & (\inst|video_on_h~regout\ & (\inst|video_on_v~regout\ & \inst|pixel_col\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|pixel_col\(7),
	datab => \inst|video_on_h~regout\,
	datac => \inst|video_on_v~regout\,
	datad => \inst|pixel_col\(6),
	combout => \inst10~1_combout\);

-- Location: LCFF_X59_Y32_N19
\inst|v_out\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst10~1_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|v_out~regout\);

-- Location: LCCOMB_X59_Y32_N20
\inst10~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst10~2_combout\ = (\inst|pixel_col\(7) & (\inst|video_on_h~regout\ & (\inst|video_on_v~regout\ & !\inst|pixel_col\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|pixel_col\(7),
	datab => \inst|video_on_h~regout\,
	datac => \inst|video_on_v~regout\,
	datad => \inst|pixel_col\(6),
	combout => \inst10~2_combout\);

-- Location: LCFF_X59_Y32_N21
\inst|r_out\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clock_50~clkctrl_outclk\,
	datain => \inst10~2_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|r_out~regout\);

-- Location: PIN_D6,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_blank~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_blank);

-- Location: PIN_B7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_sync~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_sync);

-- Location: PIN_B8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \clock_50~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_clk);

-- Location: PIN_A7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_hs~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|hor_sync~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_hs);

-- Location: PIN_D8,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_vs~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|vert_sync~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_vs);

-- Location: PIN_B12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_b[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|b_out~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_b(9));

-- Location: PIN_D12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_g[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|v_out~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_g(9));

-- Location: PIN_E10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\vga_r[9]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|r_out~regout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_vga_r(9));
END structure;


